<template>
  <!-- Inspiration : https://www.positronx.io/create-login-signup-ui-screens-in-vue-js-with-bootstrap/ -->
  <div class="log-panel">
    <form v-on:submit.prevent="handleLoginFormSubmit()">
      <h3 class="mb-3">Connexion</h3>
      <div class="form-group">
        <label>Adresse Email</label>
        <input type="email" class="form-control form-control-lg" v-model="login.email" />
      </div>

      <div class="form-group">
        <label>Mot de passe</label>
        <input type="password" class="form-control form-control-lg" v-model="login.password" />
      </div>

      <b-button block variant="dark" size="lg" @click="handleLoginFormSubmit()">Se connecter</b-button>

      <p class="forgot-password text-right mt-4 mb-4">
        <router-link to=""><small>Mot de passe oublié ?</small></router-link
        ><br />
        <router-link :to="{ path: 'compte-client', query: { action: 'register', pageReturn: pageReturn } }"><small>Si vous n'avez pas de compte, inscrivez-vous ici.</small></router-link>
      </p>
    </form>
  </div>
</template>
<script>
import { authenticationClientService } from "../../_services/authenticationClient.service";
export default {
  props: ["pageReturn"],
  data() {
    return {
      login: {
        email: "qmoreau28@gmail.com",
        password: "Quentin28100!",
        sitealias: process.env.VUE_APP_SITE_ALIAS
      },
      token: null,
      authUser: {}
    };
  },

  methods: {
    handleLoginFormSubmit() {
      authenticationClientService.login(this.login, this.pageReturn);
    }
  }
};
</script>
